<VirtualHost *:80>
    ServerName unsaac.pixellar.pe
    RewriteEngine On
    RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>

<IfModule mod_ssl.c>
<VirtualHost *:443>
    ServerName unsaac.pixellar.pe
    ProxyPreserveHost On
    ProxyRequests Off
    ProxyPass / http://127.0.0.1:3030/
    ProxyPassReverse / http://127.0.0.1:3030/
    RequestHeader set X-Forwarded-Proto "https"
    RequestHeader set X-Forwarded-Port "443"

    Include /etc/letsencrypt/options-ssl-apache.conf
    SSLCertificateFile /etc/letsencrypt/live/unsaac.pixellar.pe/fullchain.pem
    SSLCertificateKeyFile /etc/letsencrypt/live/unsaac.pixellar.pe/privkey.pem
</VirtualHost>
</IfModule>
